> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Clone Group

> Clone a group: copy all fields + group_instruments rows. New group is inactive
and named "<original> (copy)" (with numeric suffix on collision).



## OpenAPI

````yaml /openapi.json post /groups/{group_id}/clone
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /groups/{group_id}/clone:
    post:
      tags:
        - Instruments & Groups
      summary: Clone Group
      description: >-
        Clone a group: copy all fields + group_instruments rows. New group is
        inactive

        and named "<original> (copy)" (with numeric suffix on collision).
      operationId: clone_group_groups__group_id__clone_post
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Group Id
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    GroupResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        currency:
          type: string
          title: Currency
        default_leverage:
          type: integer
          title: Default Leverage
        margin_call_level:
          type: number
          title: Margin Call Level
        stopout_level:
          type: number
          title: Stopout Level
        commission_type:
          type: string
          title: Commission Type
        commission_value:
          type: number
          title: Commission Value
        swap_enabled:
          type: boolean
          title: Swap Enabled
        swap_multiplier:
          type: number
          title: Swap Multiplier
        swap_free:
          type: boolean
          title: Swap Free
        swap_free_days:
          type: integer
          title: Swap Free Days
        is_islamic:
          type: boolean
          title: Is Islamic
        max_exposure:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Exposure
        net_max_exposure:
          type: boolean
          title: Net Max Exposure
          default: false
        max_open_positions:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Open Positions
        is_default:
          type: boolean
          title: Is Default
        is_active:
          type: boolean
          title: Is Active
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - description
        - currency
        - default_leverage
        - margin_call_level
        - stopout_level
        - commission_type
        - commission_value
        - swap_enabled
        - swap_multiplier
        - swap_free
        - swap_free_days
        - is_islamic
        - is_default
        - is_active
        - created_at
        - updated_at
      title: GroupResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````